/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/


#include <e32std.h>
#include <convdata.h>
#include <convgeneratedcpp.h>

#define ARRAY_LENGTH(aArray) (sizeof(aArray)/sizeof((aArray)[0]))

#pragma warning (disable: 4049) // compiler limit : terminating line number emission

_LIT8(KLit8ReplacementForUnconvertibleUnicodeCharacters, "\x1a");

GLDEF_C const TDesC8& ReplacementForUnconvertibleUnicodeCharacters_internal()
	{
	return KLit8ReplacementForUnconvertibleUnicodeCharacters;
	}

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_1[]=
	{
	0x00a0,
	0x0104,
	0x0112,
	0x0122,
	0x012a,
	0x0128,
	0x0136,
	0x00a7,
	0x013b,
	0x0110,
	0x0160,
	0x0166,
	0x017d,
	0x00ad,
	0x016a,
	0x014a,
	0x00b0,
	0x0105,
	0x0113,
	0x0123,
	0x012b,
	0x0129,
	0x0137,
	0x00b7,
	0x013c,
	0x0111,
	0x0161,
	0x0167,
	0x017e,
	0x2015,
	0x016b,
	0x014b,
	0x0100,
	0x00c1,
	0x00c2,
	0x00c3,
	0x00c4,
	0x00c5,
	0x00c6,
	0x012e,
	0x010c,
	0x00c9,
	0x0118,
	0x00cb,
	0x0116,
	0x00cd,
	0x00ce,
	0x00cf,
	0x00d0,
	0x0145,
	0x014c,
	0x00d3,
	0x00d4,
	0x00d5,
	0x00d6,
	0x0168,
	0x00d8,
	0x0172,
	0x00da,
	0x00db,
	0x00dc,
	0x00dd,
	0x00de,
	0x00df,
	0x0101,
	0x00e1,
	0x00e2,
	0x00e3,
	0x00e4,
	0x00e5,
	0x00e6,
	0x012f,
	0x010d,
	0x00e9,
	0x0119,
	0x00eb,
	0x0117,
	0x00ed,
	0x00ee,
	0x00ef,
	0x00f0,
	0x0146,
	0x014d,
	0x00f3,
	0x00f4,
	0x00f5,
	0x00f6,
	0x0169,
	0x00f8,
	0x0173,
	0x00fa,
	0x00fb,
	0x00fc,
	0x00fd,
	0x00fe,
	0x0138
	};

LOCAL_D const SCnvConversionData::SOneDirectionData::SRange::UData::SKeyedTable16OfIndexedTables16::SKeyedEntry keyedTables16OfIndexedTables16_keyedEntries_foreignToUnicode_1[]=
	{
		{
		0xa0,
		0xff,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_1
		}
	};

LOCAL_D const SCnvConversionData::SOneDirectionData::SRange::UData::SKeyedTable1616::SEntry keyedTable1616_unicodeToForeign_1[]=
	{
		{
		0x00a0,
		0xa0
		},
		{
		0x00a7,
		0xa7
		},
		{
		0x00ad,
		0xad
		},
		{
		0x00b0,
		0xb0
		},
		{
		0x00b7,
		0xb7
		},
		{
		0x00c1,
		0xc1
		},
		{
		0x00c2,
		0xc2
		},
		{
		0x00c3,
		0xc3
		},
		{
		0x00c4,
		0xc4
		},
		{
		0x00c5,
		0xc5
		},
		{
		0x00c6,
		0xc6
		},
		{
		0x00c9,
		0xc9
		},
		{
		0x00cb,
		0xcb
		},
		{
		0x00cd,
		0xcd
		},
		{
		0x00ce,
		0xce
		},
		{
		0x00cf,
		0xcf
		},
		{
		0x00d0,
		0xd0
		},
		{
		0x00d3,
		0xd3
		},
		{
		0x00d4,
		0xd4
		},
		{
		0x00d5,
		0xd5
		},
		{
		0x00d6,
		0xd6
		},
		{
		0x00d8,
		0xd8
		},
		{
		0x00da,
		0xda
		},
		{
		0x00db,
		0xdb
		},
		{
		0x00dc,
		0xdc
		},
		{
		0x00dd,
		0xdd
		},
		{
		0x00de,
		0xde
		},
		{
		0x00df,
		0xdf
		},
		{
		0x00e1,
		0xe1
		},
		{
		0x00e2,
		0xe2
		},
		{
		0x00e3,
		0xe3
		},
		{
		0x00e4,
		0xe4
		},
		{
		0x00e5,
		0xe5
		},
		{
		0x00e6,
		0xe6
		},
		{
		0x00e9,
		0xe9
		},
		{
		0x00eb,
		0xeb
		},
		{
		0x00ed,
		0xed
		},
		{
		0x00ee,
		0xee
		},
		{
		0x00ef,
		0xef
		},
		{
		0x00f0,
		0xf0
		},
		{
		0x00f3,
		0xf3
		},
		{
		0x00f4,
		0xf4
		},
		{
		0x00f5,
		0xf5
		},
		{
		0x00f6,
		0xf6
		},
		{
		0x00f8,
		0xf8
		},
		{
		0x00fa,
		0xfa
		},
		{
		0x00fb,
		0xfb
		},
		{
		0x00fc,
		0xfc
		},
		{
		0x00fd,
		0xfd
		},
		{
		0x00fe,
		0xfe
		},
		{
		0x0100,
		0xc0
		},
		{
		0x0101,
		0xe0
		},
		{
		0x0104,
		0xa1
		},
		{
		0x0105,
		0xb1
		},
		{
		0x010c,
		0xc8
		},
		{
		0x010d,
		0xe8
		},
		{
		0x0110,
		0xa9
		},
		{
		0x0111,
		0xb9
		},
		{
		0x0112,
		0xa2
		},
		{
		0x0113,
		0xb2
		},
		{
		0x0116,
		0xcc
		},
		{
		0x0117,
		0xec
		},
		{
		0x0118,
		0xca
		},
		{
		0x0119,
		0xea
		},
		{
		0x0122,
		0xa3
		},
		{
		0x0123,
		0xb3
		},
		{
		0x0128,
		0xa5
		},
		{
		0x0129,
		0xb5
		},
		{
		0x012a,
		0xa4
		},
		{
		0x012b,
		0xb4
		},
		{
		0x012e,
		0xc7
		},
		{
		0x012f,
		0xe7
		},
		{
		0x0136,
		0xa6
		},
		{
		0x0137,
		0xb6
		},
		{
		0x0138,
		0xff
		},
		{
		0x013b,
		0xa8
		},
		{
		0x013c,
		0xb8
		},
		{
		0x0145,
		0xd1
		},
		{
		0x0146,
		0xf1
		},
		{
		0x014a,
		0xaf
		},
		{
		0x014b,
		0xbf
		},
		{
		0x014c,
		0xd2
		},
		{
		0x014d,
		0xf2
		},
		{
		0x0160,
		0xaa
		},
		{
		0x0161,
		0xba
		},
		{
		0x0166,
		0xab
		},
		{
		0x0167,
		0xbb
		},
		{
		0x0168,
		0xd7
		},
		{
		0x0169,
		0xf7
		},
		{
		0x016a,
		0xae
		},
		{
		0x016b,
		0xbe
		},
		{
		0x0172,
		0xd9
		},
		{
		0x0173,
		0xf9
		},
		{
		0x017d,
		0xac
		},
		{
		0x017e,
		0xbc
		},
		{
		0x2015,
		0xbd
		}
	};

LOCAL_D const SCnvConversionData::SVariableByteData::SRange foreignVariableByteDataRanges[]=
	{
		{
		0x00,
		0xff,
		0,
		0
		}
	};

LOCAL_D const SCnvConversionData::SOneDirectionData::SRange foreignToUnicodeDataRanges[]=
	{
		{
		0x00,
		0x9f,
		SCnvConversionData::SOneDirectionData::SRange::EDirect,
		0,
		0,
			{
			0
			}
		},
		{
		0xa0,
		0xff,
		SCnvConversionData::SOneDirectionData::SRange::EKeyedTable16OfIndexedTables16,
		0,
		0,
			{
			UData_SKeyedTable16OfIndexedTables16(keyedTables16OfIndexedTables16_keyedEntries_foreignToUnicode_1)
			}
		}
	};

LOCAL_D const SCnvConversionData::SOneDirectionData::SRange unicodeToForeignDataRanges[]=
	{
		{
		0x0000,
		0x009f,
		SCnvConversionData::SOneDirectionData::SRange::EDirect,
		1,
		0,
			{
			0
			}
		},
		{
		0x00a0,
		0x2015,
		SCnvConversionData::SOneDirectionData::SRange::EKeyedTable1616,
		1,
		0,
			{
			UData_SKeyedTable1616(keyedTable1616_unicodeToForeign_1)
			}
		}
	};

GLDEF_D const SCnvConversionData conversionData=
	{
	SCnvConversionData::EFixedBigEndian,
		{
		ARRAY_LENGTH(foreignVariableByteDataRanges),
		foreignVariableByteDataRanges
		},
		{
		ARRAY_LENGTH(foreignToUnicodeDataRanges),
		foreignToUnicodeDataRanges
		},
		{
		ARRAY_LENGTH(unicodeToForeignDataRanges),
		unicodeToForeignDataRanges
		},
	NULL,
	NULL
	};

